﻿using Syncfusion.SfSchedule.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace ScheduleInlineView
{
    class ScheduleBehavior: Behavior<ContentPage>
    {
        SfSchedule schedule;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            ScheduleAppointmentCollection scheduleAppointmentCollection = new ScheduleAppointmentCollection();
            //Adding schedule appointment in schedule appointment collection 
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 08, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 08, 12, 0, 0),
                Subject = "Meeting",Color=Color.Violet
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 5, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 5, 12, 0, 0),
                Subject = "Retrospective",
                Color=Color.RoyalBlue
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 5, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 5, 12, 0, 0),
                Subject = "Meeting",
                Color=Color.Red
            });
            scheduleAppointmentCollection.Add(new ScheduleAppointment()
            {
                StartTime = new DateTime(2019, 12, 5, 10, 0, 0),
                EndTime = new DateTime(2019, 12, 5, 12, 0, 0),
                Subject = "Planning",
                Color=Color.Green
            });

            //Adding schedule appointment collection to DataSource of SfSchedule
            schedule.DataSource = scheduleAppointmentCollection;

            schedule.OnMonthInlineLoadedEvent += Schedule_OnMonthInlineLoadedEvent;
        }

        private void Schedule_OnMonthInlineLoadedEvent(object sender, MonthInlineLoadedEventArgs e)
        {
            var appointments = e.appointments.Cast<ScheduleAppointment>().ToList();
            MonthInlineViewStyle monthInlineViewStyle = new MonthInlineViewStyle();
            if (appointments != null && appointments.Count > 0)
            {
                monthInlineViewStyle.TimeTextFormat = "dd/MM/yyyy HH:mm";
            }

            e.monthInlineViewStyle = monthInlineViewStyle;
        }
    }
}
